Bug 1169237 (CVE-2014-8122) - CVE-2014-8122 JBoss Weld: Limited information disclosure via stale thread state
Summary: CVE-2014-8122 JBoss Weld: Limited information disclosure via stale thread state
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-8122
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141204,reported=2...
Depends On: 1169246 1169247 1169248 1169249 1169250 1169251 1169252 1169253 1169254 1169255 1169256 1169257 1169258 1169259 1169260
Blocks: 1155350 1168961 1200191 1206755 1210482 1217043
TreeView+ depends on / blocked
 
Reported: 2014-12-01 06:19 UTC by Arun Babu Neelicattu
Modified: 2019-07-11 08:24 UTC (History)
35 users (show)

Fixed In Version: weld-core 3.0.0.Alpha3, weld-core 2.2.8.Final
Doc Type: Bug Fix
Doc Text:
It was discovered that under specific conditions the conversation state information stored in a thread-local variable in JBoss Weld was not sanitized correctly when the conversation ended. This could lead to a race condition that could potentially expose sensitive information from a previous conversation to the current conversation.
Clone Of:
Environment:
Last Closed: 2015-08-27 22:50:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0215 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.3 update 2015-02-12 01:06:34 UTC
Red Hat Product Errata RHSA-2015:0216 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.3 update 2015-02-12 01:18:36 UTC
Red Hat Product Errata RHSA-2015:0217 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.3 update 2015-02-12 01:16:58 UTC
Red Hat Product Errata RHSA-2015:0218 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.3 update 2015-02-12 01:36:41 UTC
Red Hat Product Errata RHSA-2015:0675 normal SHIPPED_LIVE Important: Red Hat JBoss Data Virtualization 6.1.0 update 2015-03-11 20:51:21 UTC
Red Hat Product Errata RHSA-2015:0773 normal SHIPPED_LIVE Important: Red Hat JBoss Data Grid 6.4.1 update 2015-04-01 18:48:20 UTC
Red Hat Product Errata RHSA-2015:0850 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.1.0 update 2015-04-16 20:02:45 UTC
Red Hat Product Errata RHSA-2015:0851 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.1.0 update 2015-04-16 20:02:37 UTC
Red Hat Product Errata RHSA-2015:0920 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.2 update 2015-04-30 20:09:30 UTC

Description Arun Babu Neelicattu 2014-12-01 06:19:38 UTC
It was discovered that under specific conditions the conversation state information stored in a thread local variable was not cleaned correctly when the conversation ends. This could lead to a race condition which when met could potentially expose sensitive information that was visible to the previous conversation to the current one.

Comment 3 Arun Babu Neelicattu 2014-12-01 07:07:36 UTC
Upstream Issue:

https://issues.jboss.org/browse/WELD-1802

Comment 4 Martin Prpič 2014-12-01 16:48:36 UTC
Acknowledgements:

Red Hat would like to thank Rune Steinseth of JProfessionals for reporting this issue.

Comment 6 Arun Babu Neelicattu 2015-02-10 10:38:40 UTC
Victims Record:

https://github.com/victims/victims-cve-db/blob/master/database/java/2014/8122.yaml

Comment 7 errata-xmlrpc 2015-02-11 20:07:23 UTC
This issue has been addressed in the following products:

  JBoss Enterprise Application Platform 6.3.3

Via RHSA-2015:0215 https://rhn.redhat.com/errata/RHSA-2015-0215.html

Comment 8 errata-xmlrpc 2015-02-11 20:26:47 UTC
This issue has been addressed in the following products:

  JBEAP 6.3.z for RHEL 6

Via RHSA-2015:0217 https://rhn.redhat.com/errata/RHSA-2015-0217.html

Comment 9 errata-xmlrpc 2015-02-11 20:30:55 UTC
This issue has been addressed in the following products:

  JBEAP 6.3.z for RHEL 5

Via RHSA-2015:0216 https://rhn.redhat.com/errata/RHSA-2015-0216.html

Comment 10 errata-xmlrpc 2015-02-11 21:14:56 UTC
This issue has been addressed in the following products:

  JBEAP 6.3.z for RHEL 7

Via RHSA-2015:0218 https://rhn.redhat.com/errata/RHSA-2015-0218.html

Comment 12 errata-xmlrpc 2015-03-11 16:56:01 UTC
This issue has been addressed in the following products:

JBoss Data Virtualization 6.1.0

Via RHSA-2015:0675 https://rhn.redhat.com/errata/RHSA-2015-0675.html

Comment 13 errata-xmlrpc 2015-04-01 14:49:05 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Grid 6.4

Via RHSA-2015:0773 https://rhn.redhat.com/errata/RHSA-2015-0773.html

Comment 17 errata-xmlrpc 2015-04-16 16:08:04 UTC
This issue has been addressed in the following products:

  JBoss BPM Suite 6.1.0

Via RHSA-2015:0851 https://rhn.redhat.com/errata/RHSA-2015-0851.html

Comment 18 errata-xmlrpc 2015-04-16 16:10:59 UTC
This issue has been addressed in the following products:

  JBoss BRMS 6.1.0

Via RHSA-2015:0850 https://rhn.redhat.com/errata/RHSA-2015-0850.html

Comment 19 errata-xmlrpc 2015-04-30 16:10:31 UTC
This issue has been addressed in the following products:

  JBoss Operations Network 3.3.2

Via RHSA-2015:0920 https://rhn.redhat.com/errata/RHSA-2015-0920.html


Note You need to log in before you can comment on or make changes to this bug.